Subject: Re: [PATCH v2] deb-pkg: Add support for powerpc little endian

From: Ben Hutchings <[email-masked]>
Date: Sun, 07 Sep 2014 03:42:08 +0100

On Fri, 2014-09-05 at 09:09 -0300, Thadeu Lima de Souza Cascardo wrote:
> On Fri, Sep 05, 2014 at 05:55:18PM +1000, Michael Neuling wrote:
> > On Fri, 2014-09-05 at 09:13 +0200, Gabriel Paubert wrote:
> > > On Fri, Sep 05, 2014 at 03:28:47PM +1000, Michael Neuling wrote:
> > > > The Debian powerpc little endian architecture is called ppc64le.  This
> > > 
> > > Huh? ppc64le or ppc64el?
> > 
> > ppc64el.  Commit message is wrong.  Fixed below.
> > 
> > Mikey
> > 
> > 
> 
> What about ppc64?
> 
> Also, I sent that already a month ago. Both linuxppc-dev and Michal
> Marek were on cc.
> 
> http://marc.info/?l=linux-kernel&m=140744360328562&w=2

Anyone using powerpc (32-bit) will then need to add ppc64 as a foreign
architecture before they can install a 64-bit custom kernel.  This is
fine in principle, except that ppc64 is not an official Debian port and
its packages are not mirrored on the same servers.

I just tried something similar, which is to add x32 (also unofficial) as
an alternate architecture to my biarch x86 system.  APT now complains:

W: Failed to fetch http://http.debian.net/debian/dists/experimental/InRelease  Unable to find expected entry 'main/binary-x32/Packages' in Release file (Wrong sources.list entry or malformed file)

W: Failed to fetch http://http.debian.net/debian/dists/sid/Release  Unable to find expected entry 'main/binary-x32/Packages' in Release file (Wrong sources.list entry or malformed file)

W: Failed to fetch http://http.debian.net/debian/dists/testing/Release  Unable to find expected entry 'main/binary-x32/Packages' in Release file (Wrong sources.list entry or malformed file)

W: Failed to fetch http://http.debian.net/debian/dists/wheezy/Release  Unable to find expected entry 'main/binary-x32/Packages' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.

So I think Michael's version, leaving big-endian kernels as powerpc by
default, is preferable for now.

Ben.

-- 
Ben Hutchings
Experience is directly proportional to the value of equipment destroyed.
                                                         - Carolyn Scheppner